<?php
/**
* @package		EasySocial
* @copyright	Copyright (C) 2010 - 2012 Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasySocial is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

require_once JPATH_ROOT . '/components/com_cobalt/api.php';
/**
 * Profile view for Kunena
 *
 * @since	1.0
 * @access	public
 */
class Cobalt4ViewDashboard extends SocialAppsView
{
	/**
	 * Displays the application output in the canvas.
	 *
	 * @since	1.0
	 * @access	public
	 * @param	int		The user id that is currently being viewed.
	 */
	public function display( $userId = null , $docType = null )
	{
		$user 		= Foundry::user( $userId );
		$params		= $this->getUserParams( $user->id );
		$appParams	= $this->app->getParams();

		// Get the total items to display
		$limit 		= $params->get( 'limit' , $appParams->get( 'limit' , 5 ) );
		$section_id = $appParams->get( 'section_id' , 0 );
		$order = $appParams->get( 'order' , 'r.ctime DESC' );

		$view_what = array(
			'created',
			'follow',
			'favorited',
			'rated',
			'commented',
			'visited',
			'hidden',
			'expired',
			'unpublished'
		);

		$result = array();
		$api = new CobaltApi();
		$section = ItemsStore::getSection($section_id);
		$section_tmpl = $section->params->get('general.tmpl_list_default');

		foreach ($view_what as $vw)
		{
			if(!$appParams->get($vw.'_dashboard'))
			{
				continue;
			}
			$result[$vw] = $api->records($section_id, $vw, $order, array(), $userId, 0, $limit, $appParams->get('list_tmpl', $section_tmpl));
		}

		$this->set( 'result', $result );
		$this->set( 'appParams', $appParams );

		echo parent::display( 'dashboard/default' );
	}
}