<?php
/**
 * Cobalt by MintJoomla
 * a component for Joomla! 1.7 - 2.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mintjoomla.com/
 * @copyright Copyright (C) 2012 MintJoomla (http://www.mintjoomla.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */
defined('_JEXEC') or die('Restricted access');

require_once JPATH_ROOT . '/components/com_cobalt/api.php';
require_once( JPATH_ROOT . '/administrator/components/com_easysocial/includes/foundry.php' );

class plgMintEasysocial extends JPlugin
{
	public function onKarma($actor, $target, $options, $record)
	{
		$event = $options['type'];
		$section = ItemsStore::getSection($record->section_id);


		if($actor && (int)$section->params->get('events.event.' . $event.'.karma1') != 0)
		{
			$points = $section->params->get('events.event.' . $event.'.karma1');
			Foundry::points()->assignCustom($actor, $points, $event);
		}

		if($event == CEventsHelper::_RECORD_EDITED && $actor == $target)
			return;

		if($target && (int)$section->params->get('events.event.' . $event.'.karma2') != 0)
		{
			$points = $section->params->get('events.event.' . $event.'.karma2');
			Foundry::points()->assignCustom($target, $points, $event);
		}

	}

	public function onActivity($actor, $target, $options, $record)
	{
		$name = $this->_getAppName($record);
		if (!$name)
		{
			return;
		}
		$stream     = Foundry::stream();
		$template   = $stream->getTemplate();

		$template->setActor($actor, 'user');
		$template->setTarget($target && $target != $actor ? $target : 0);
		$template->setContext($record->id, $name);
		$template->setVerb($options['type']);
		$template->setType('mini');
		$template->setParams($options);

		$stream->add( $template );
	}

	public function onRecordDelete($record)
	{
		$name = $this->_getAppName($record);
		Foundry::stream()->delete( $record->id , $name);
	}

	private function _getAppName($record)
	{
		static $names = array();

		if(isset($names[$record->section_id]))
		{
			return $names[$record->section_id];
		}
		$db = JFactory::getDbo();
		$db->setQuery('SELECT element, params FROM #__social_apps WHERE element LIKE "cobalt%" AND state=1 AND type="apps"');
		$plugins = $db->loadObjectList();
		foreach ($plugins AS $plg)
		{
			$params = new JRegistry($plg->params);
			if($params->get('section_id') == $record->section_id)
			{
				$names[$record->section_id] = $plg->element;
				return $names[$record->section_id];
			}
		}
		return false;
	}

	public function onNotification($user_id, $options)
	{

		/*$array = array(
		'type' => $event,
		'params' => $params,
		'record_id' => $record_id,
		'section_id' => $section_id,
		'cat_id' => $cat_id,
		'comment_id' => $comment_id,
		'field_id' => $field_id,
		'eventer' => $user->id
		);*/
	}
}